package kjava.text;

public class DecimalFormat{
   int MaximumFractionDigits = 0;
   int MinimumFractionDigits = 0;
   String format;

   public DecimalFormat(String s){ //like "###.##")
      this.format = s;
   }

   public DecimalFormat(){ //like "###.##")
      this.format = "###.##";
   }


   public void setMaximumFractionDigits(int newValue){
      this.MaximumFractionDigits = newValue;
   }

   public void setMinimumFractionDigits(int newValue){
      this.MinimumFractionDigits = newValue;
   }
   
   public void setMinimumIntegerDigits(int newValue){}

   public void setGroupingUsed(boolean f){}

   // Format positive Number
   private String formatp(double x){
      int dp = format.indexOf(".");
      for(int i=0; i<format.length() - dp - 1; i++)
          x*=10.;
      long xl=round(x);      
      StringBuffer sb = new StringBuffer(""+xl);
      while(sb.length()<format.length()-1)
          sb.insert(0,"0");
      sb.insert(dp,".");
      while(sb.charAt(0)=='0' && sb.charAt(1)!='.')
          sb.deleteCharAt(0);

      return sb.toString();
   }

   public String format (double x){
      if(x<0.)
         return "-"+formatp(-x);
      return " "+formatp(x);
   }
   
   private long round(double x){
   	return (long)Math.floor(x+0.5);
	}

}
