package kjava.awt;

import jsystem.*;
import javax.microedition.lcdui.*;

public class Frame extends Container{
   public String title = "";

   public boolean hasFocus = true;
   public static final int NORMAL=0, MAXIMIZED=1, MINIMIZED=2;
//   public static final int UPDATE=3; 
   public int mode =NORMAL;
//   public int paintmode =NORMAL;

   public int oldx, oldy, oldwidth, oldheight;



   public Frame(){
        width = 200; height = 140; X = 20; Y = 15;
        lm = new BorderLayout();
   }



/*   public void pointerPressed(int x, int y){
        Event e = getClickEvent(x,y);
        if(e!=null)
             handleEvent(e);
   }*/


   public boolean handleEvent(Event e){
        return true;
   }                 

 
/*   public void paint(Graphics g){
   }*/

   public void repaint(){
       JSystem.desktop.repaint();
   } 

   public void resize(int width,int height){
       this.width = width;
       this.height = height;
       repaint();
   }


   public void setTitle(String title){
       this.title = title; 
       repaint();
   }

   public void show(){
       JSystem.desktop.addFrame(this);
       JSystem.showDesktop();
   }
      

   public void maximize(boolean saveold){
            if(saveold){
                oldx = X;
                oldy = Y;
                oldwidth = width;
                oldheight = height;
            }
            X = -4;
            Y = -4;
            width = JSystem.desktop.getWidth();
            height= JSystem.desktop.getHeight()-19;
            mode=MAXIMIZED;
            JSystem.desktop.setTaskleiste();
            repaint();
   }

  public void minimize(boolean saveold){
           if(saveold){
                oldx = X;
                oldy = Y;
                oldwidth = width;
                oldheight = height;
            }
            X = 0;
            Y = JSystem.desktop.getHeight()-23;
            javax.microedition.lcdui.Font f = 
                javax.microedition.lcdui.Font.getDefaultFont();
            width = Math.min(f.stringWidth(title)+75,JSystem.desktop.getWidth());
            height= 23;
            mode =MINIMIZED;
            JSystem.desktop.setTaskleiste();
            repaint();
        }

   public void restore(){
            X = oldx;
            Y = oldy;
            width = oldwidth;
            height= oldheight;
            mode = NORMAL;
            JSystem.desktop.setTaskleiste();
            repaint();
        }
 

} 
