package kjava.util;

import java.util.*;

public class StringTokenizer{
    Enumeration en=null;
    int numTokens;
    String del;

    public StringTokenizer(String s, String del, boolean returnDelims){
       Vector tokens = new Vector();
       this.del = del;
       if(s==null || s.length()==0) return;
	   if( returnDelims ){
       		int i=0;
	   		do{
				if(isdel(s.charAt(i))){
					tokens.addElement(""+s.charAt(i));
					continue;
				}
				int k=i+1;
           		while( k<s.length() && !isdel(s.charAt(k))) k++;
				if(k==s.length()){
              		tokens.addElement(s.substring(i));
              		break;
           		}else{
              		tokens.addElement(s.substring(i,k));
              		i=k-1;
           		}
			}while(++i < s.length());
		}else{
       		int i=0;
       		while(true){
           		while( i<s.length() && isdel(s.charAt(i)) ) i++;
           		if(i==s.length()) break;
           		int k=i+1;
           		while( k<s.length() && !isdel(s.charAt(k))) k++;
           		if(k==s.length()){
              		tokens.addElement(s.substring(i));
              		break;
           		}else{
              		tokens.addElement(s.substring(i,k));
              		i=k+1;
           		}
       		}
		}
       en = tokens.elements();
       numTokens = tokens.size();
     }
				
		
    public StringTokenizer(String s, String del){
		this(s,del,false);
	}

    public StringTokenizer(String s){
        this(s, "\t\n\r", false);
    }


     private boolean isdel(char c){
         for(int i=0; i<del.length(); i++)
             if(del.charAt(i) == c)
                  return true;
         return false;
     }
     
     public boolean hasMoreElements(){
         return hasMoreTokens();
     }

     public boolean hasMoreTokens(){
         if(en==null)
              return false;
         return en.hasMoreElements();
     }

     public String nextToken(){
         if(en==null || numTokens==0){
              return null;
		}
         numTokens--;	
//		 String s = (String)en.nextElement();
//		 System.out.println("Returning : " + s); return s;
         return (String)en.nextElement();
     }

     public int countTokens(){
         return numTokens;
     }

 }
